package vo;

import java.util.List;

public class Auth {
   private String type;
   private long createtime;
   private String createuser;
   private String datasystemid;
   private String enablestatus;
   private String id;
   private String name;
   private String remark;
   private String strategytype;
   private List<Tableinfo> tableinfo;

   public void setCreatetime(long createtime) {
      this.createtime = createtime;
   }

   public long getCreatetime() {
      return this.createtime;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setEnablestatus(String enablestatus) {
      this.enablestatus = enablestatus;
   }

   public String getEnablestatus() {
      return this.enablestatus;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getId() {
      return this.id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getName() {
      return this.name;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setStrategytype(String strategytype) {
      this.strategytype = strategytype;
   }

   public String getStrategytype() {
      return this.strategytype;
   }

   public void setTableinfo(List<Tableinfo> tableinfo) {
      this.tableinfo = tableinfo;
   }

   public List<Tableinfo> getTableinfo() {
      return this.tableinfo;
   }
}
